<?php
/**
 * Createing a contact us page pannel for customizer
 *
 */
// CREATING A SECTION IN CUSTOMIZER
$wp_customize->add_section(
	'luzuk_premium_contactus_section',
	array(
		'title' => __( 'Contact Us Page', 'luzuk-premium' ),
        // 'panel' => 'luzuk_premium_home_panel'
		'priority' =>20
	)
);

lzCustomLable($wp_customize, 'luzuk_sec_leftpage', 'luzuk_premium_contactus_section', 'Left Side Box');

backgroundManager($wp_customize, 'contactpglhs', 'luzuk_premium_contactus_section', $color='#fff', get_template_directory_uri().'/images/contactpg.jpg', 'color');

$wp_customize->add_setting(
	'contheading',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Contact Info', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'contheading',
	array(
		'settings'      => 'contheading',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Title', 'luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'conttext',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Pellentesque quis purus tempus, varius lectus et, scelerisque nisl. Duis faucibus justo purus, laoreet efficitur odio Bibendum.', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'conttext',
	array(
		'settings'      => 'conttext',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Text', 'luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'luzuk_contactus_phone1',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '(+800) 841 098 371', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_phone1',
	array(
		'settings'      => 'luzuk_contactus_phone1',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Phone No 1', 'luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'luzuk_contactus_phone2',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '(+324) 907 206 195', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_phone2',
	array(
		'settings'      => 'luzuk_contactus_phone2',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Phone No 2', 'luzuk Premium' )
	)
);


$wp_customize->add_setting(
	'luzuk_contactus_email',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'info@support.com', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_email',
	array(
		'settings'      => 'luzuk_contactus_email',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Email ID 1', 'luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'luzuk_contactus_email2',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'info@example.com', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_email2',
	array(
		'settings'      => 'luzuk_contactus_email2',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Email ID 2', 'luzuk Premium' )
	)
);


$wp_customize->add_setting(
	'luzuk_contactus_address',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '21 Main St Lockport North Dakota 14094 (716) 434-0500 United States.', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_address',
	array(
		'settings'      => 'luzuk_contactus_address',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'textarea',
		'label'         => __( 'Address', 'luzuk Premium' )
	)
);

lzCustomLable($wp_customize, 'luzuk_sec_leftpageclr', 'luzuk_premium_contactus_section', 'Left Side Box Color ');

addColorPalatOption($wp_customize, 'luzuk_contactus_lftbxheadingClr', 'luzuk_premium_contactus_section', 'Title Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_contactus_lftbxtextClr', 'luzuk_premium_contactus_section', 'Text Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_contactus_detail1stbgClr', 'luzuk_premium_contactus_section', 'Icon BG Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_contactus_dicnClr', 'luzuk_premium_contactus_section', 'Box Icon Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_contactus_dphemClr', 'luzuk_premium_contactus_section', 'Box  Phone No. , Email, Address Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_contactus_dphemhvClr', 'luzuk_premium_contactus_section', 'Box Email , Phone No. Hover Color', '#B05D5D');

lzCustomLable($wp_customize, 'luzuk_sec_rightpage', 'luzuk_premium_contactus_section', 'Right Side Box ');

$wp_customize->add_setting(
        'contactus_form_heading2',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'contactus_form_heading2',
        array(
            'settings'      => 'contactus_form_heading2',
            'section'       => 'luzuk_premium_contactus_section',
            'label'         => __( 'Form Setting ', 'luzuk-premium' ),
        )
    )
);


$wp_customize->add_setting(
	'luzuk_contactus_shortcode_lbl',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Leave A Message For Us', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_shortcode_lbl',
	array(
		'settings'      => 'luzuk_contactus_shortcode_lbl',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Form Title', 'luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'luzuk_contactus_shortcode',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '[your Shortcode]' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_shortcode',
	array(
		'settings'      => 'luzuk_contactus_shortcode',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'textarea',
		'label'         => __( 'Form Shortcode Here', 'luzuk Premium' )
	)
);



lzCustomLable($wp_customize, 'luzuk_sec_rightpageClr', 'luzuk_premium_contactus_section', 'Right Side Box Color');

addColorPalatOption($wp_customize, 'luzuk_contactus_formtitleClr', 'luzuk_premium_contactus_section', 'Form Title Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_contactus_formlabelClr', 'luzuk_premium_contactus_section', 'Form Label Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_contactus_formtextplaceColor', 'luzuk_premium_contactus_section', 'Form Text & Placeholder Color', '#707070');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbgClr', 'luzuk_premium_contactus_section', 'Form Text & Placeholder BG Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_contactus_formborderbottomColor', 'luzuk_premium_contactus_section', 'Form Text & Placeholder Border Color', '#8F8C8C');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnColor', 'luzuk_premium_contactus_section', 'Form Button Text Color', '#010101');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnhoverColor', 'luzuk_premium_contactus_section', 'Form Button Text Hover Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnbgColor', 'luzuk_premium_contactus_section', 'Form Button BG Color', '#FFE8E8');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnbghoverColor', 'luzuk_premium_contactus_section', 'Form Button BG Hover Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnbrdClr', 'luzuk_premium_contactus_section', 'Form Button Border Color', '#ECBFBF');


// ADDRESS GOOGLE/MSN/OTHER MAP IFRAME OR EMBADE CODE
$wp_customize->add_setting('luzuk_contactus_iframe_lbl', array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control(
	new luzuk_Customize_Heading($wp_customize, 'luzuk_contactus_iframe_lbl',
		array(
			'settings'      => 'luzuk_contactus_iframe_lbl',
			'section'       => 'luzuk_premium_contactus_section',
			'label'         => __( 'Contact Us Address', 'luzuk-premium' ),
		)
	)
);
// field for addeding the map code
$wp_customize->add_setting('luzuk_contactus_embade', array(/*'sanitize_callback' => 'esc_url_raw',*/ 'default'=>'Add Your Map Embade Code'));
$wp_customize->add_control('luzuk_contactus_embade', array('settings'=>'luzuk_contactus_embade', 'section'=>'luzuk_premium_contactus_section','type'=>'textarea', 'label'=> __('Code For Map', 'luzuk-premium')));

